OpenVDB 12.1.0

Loading...
Searching...
No Matches
TupleList<> Struct Reference

Specilization of an empty TupleList. Required due to constructor selection. More...

`#include <openvdb/TypeList.h>`

## Public Types
using | AsTypeList = TypeList<>
using | TupleT = std::tuple<>

## Public Member Functions
| TupleList ()=default
constexpr auto | size ()
TupleT & | tuple ()
const TupleT & | tuple () const
template<size_t Idx>
constexpr auto & | get ()
template<size_t Idx>
constexpr auto & | get () const
template<typename OpT>
constexpr void | foreach (OpT)
template<class Pred, class OpT>
constexpr void | evalFirstPred (Pred, OpT)
template<class Pred, class OpT, typename RetT>
constexpr RetT | evalFirstPred (Pred, OpT, RetT def)

## Detailed Description

Specilization of an empty TupleList. Required due to constructor selection.

## Member Typedef Documentation

## ◆ AsTypeList

using AsTypeList = TypeList<>

## ◆ TupleT

using TupleT = std::tuple<>

## Constructor & Destructor Documentation

## ◆ TupleList()

TupleList | ( |  | ) |
| default

## Member Function Documentation

## ◆ evalFirstPred() [1/2]

template<class Pred, class OpT>

void evalFirstPred | ( | Pred | ,
|  | OpT | )
| inline constexpr

## ◆ evalFirstPred() [2/2]

template<class Pred, class OpT, typename RetT>

RetT evalFirstPred | ( | Pred | ,
|  | OpT | ,
|  | RetT | def )
| inline constexpr

## ◆ foreach()

template<typename OpT>

void foreach | ( | OpT |  | ) |
| inline constexpr

## ◆ get() [1/2]

template<size_t Idx>

auto & get | ( |  | ) |
| inline constexpr

## ◆ get() [2/2]

template<size_t Idx>

auto & get | ( |  | ) | const
| inline constexpr

## ◆ size()

auto size | ( |  | ) |
| inline constexpr

## ◆ tuple() [1/2]

TupleT & tuple | ( |  | ) |
| inline

## ◆ tuple() [2/2]

const TupleT & tuple | ( |  | ) | const
| inline